Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Conversation.AllowedActivity

    java.lang.Object
      java.lang.Enum<Conversation.AllowedActivity>
          com.skype.api.Conversation.AllowedActivity

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Conversation.AllowedActivity>

Enclosing class:
  Conversation

    public static enum Conversation.AllowedActivity

extends java.lang.Enum<Conversation.AllowedActivity>
implements EnumConverting

values for opt_admin_only_activities property

Enum Constant Summary
`ADD_CONSUMERS` allowed to add participants to the conference
`SET_META` allowed to set the CONVERSATION_META properties
`SPEAK` allowed to speak, but not write
`SPEAK_AND_WRITE` allowed to speak and write

Field Summary
`static int` | `ADD_CONSUMERS_VALUE`
`static int` | `SET_META_VALUE`
`static int` | `SPEAK_AND_WRITE_VALUE`
`static int` | `SPEAK_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Conversation.AllowedActivity` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Conversation.AllowedActivity` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Conversation.AllowedActivity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SET_META

    public static final Conversation.AllowedActivity SET_META

  allowed to set the CONVERSATION_META properties

### ADD_CONSUMERS

    public static final Conversation.AllowedActivity ADD_CONSUMERS

  allowed to add participants to the conference

### SPEAK

    public static final Conversation.AllowedActivity SPEAK

  allowed to speak, but not write

### SPEAK_AND_WRITE

    public static final Conversation.AllowedActivity SPEAK_AND_WRITE

  allowed to speak and write

Field Detail

### SET_META_VALUE

    public static final int SET_META_VALUE

See Also:
  Constant Field Values

### ADD_CONSUMERS_VALUE

    public static final int ADD_CONSUMERS_VALUE

See Also:
  Constant Field Values

### SPEAK_VALUE

    public static final int SPEAK_VALUE

See Also:
  Constant Field Values

### SPEAK_AND_WRITE_VALUE

    public static final int SPEAK_AND_WRITE_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Conversation.AllowedActivity[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Conversation.AllowedActivity c : Conversation.AllowedActivity.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Conversation.AllowedActivity valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Conversation.AllowedActivity get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.